Bug 823050 - Review Request: php-symfony2-EventDispatcher - Symfony2 EventDispatcher Component
Review Request: php-symfony2-EventDispatcher - Symfony2 EventDispatcher Compo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: php-channel-symfony2
Blocks: 823071 823073 823075
  Show dependency treegraph
 
Reported: 2012-05-18 17:30 EDT by Shawn Iwinski
Modified: 2012-06-30 21:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 17:40:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
php-symfony2-EventDispatcher-review.txt (5.79 KB, text/plain)
2012-06-09 08:33 EDT, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2012-05-18 17:30:13 EDT
Spec URL:
http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-EventDispatcher.spec

SRPM URL:
http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-EventDispatcher-2.0.14-1.fc16.src.rpm

Description:
The Symfony2 Event Dispatcher component implements the Observer
(http://en.wikipedia.org/wiki/Observer_pattern) pattern in a simple and
effective way to make all these things possible and to make your projects
truly extensible.

Take a simple example from the Symfony2 HttpKernel component. Once a Response
object has been created, it may be useful to allow other elements in the system
to modify it (e.g. add some cache headers) before it's actually used. To make
this possible, the Symfony2 kernel throws an event - kernel.response. Here's
how it works:

* A listener (PHP object) tells a central dispatcher object that it wants to
  listen to the kernel.response event;
* At some point, the Symfony2 kernel tells the dispatcher object to dispatch
  the kernel.response event, passing with it an Event object that has access to
  the Response object;
* The dispatcher notifies (i.e. calls a method on) all listeners of the
  kernel.response event, allowing each of them to make modifications to the
  Response object.
Comment 1 Shawn Iwinski 2012-05-20 13:52:14 EDT
Updates per comments in bug 823043

- Removed BuildRoot
- Changed php require to php-common
- Removed %defattr from %files section

SPEC URL:
http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-EventDispatcher.spec

SRPM URL:
http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-EventDispatcher-2.0.14-2.fc16.src.rpm
Comment 3 Shawn Iwinski 2012-05-31 13:12:38 EDT
Updated to upstream version 2.0.15 & updates per bug #817303

- Removed "BuildRequires: php-pear >= 1:1.4.9-1.2"
- Updated %prep section
- Removed cleaning buildroot from %install section
- Removed documentation move from %install section (fixed upstream)
- Removed %clean section
- Updated %doc in %files section

SPEC URL: http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-EventDispatcher.spec

SRPM URL: http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-EventDispatcher-2.0.15-1.fc16.src.rpm
Comment 4 Remi Collet 2012-06-09 08:33:40 EDT
Created attachment 590598 [details]
php-symfony2-EventDispatcher-review.txt

Generated by fedora-review 0.1.3
Comment 5 Remi Collet 2012-06-09 08:34:10 EDT
=== Approved ===
Comment 6 Shawn Iwinski 2012-06-09 22:57:50 EDT
New Package SCM Request
=======================
Package Name: php-symfony2-EventDispatcher
Short Description: Symfony2 EventDispatcher Component
Owners: siwinski
Branches: f16 f17 el6
InitialCC:
Comment 7 Gwyn Ciesla 2012-06-10 10:16:29 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-06-11 22:48:33 EDT
php-symfony2-EventDispatcher-2.0.15-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-symfony2-EventDispatcher-2.0.15-1.el6
Comment 9 Fedora Update System 2012-06-11 22:48:43 EDT
php-symfony2-EventDispatcher-2.0.15-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-symfony2-EventDispatcher-2.0.15-1.fc17
Comment 10 Fedora Update System 2012-06-11 22:48:53 EDT
php-symfony2-EventDispatcher-2.0.15-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-symfony2-EventDispatcher-2.0.15-1.fc16
Comment 11 Fedora Update System 2012-06-13 17:31:35 EDT
php-symfony2-EventDispatcher-2.0.15-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Fedora Update System 2012-06-26 17:40:12 EDT
php-symfony2-EventDispatcher-2.0.15-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-06-26 17:41:12 EDT
php-symfony2-EventDispatcher-2.0.15-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Fedora Update System 2012-06-30 21:35:04 EDT
php-symfony2-EventDispatcher-2.0.15-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.